#include <iostream>

using namespace std;

int main()
{
    int n;
    cin >> n;
    int nizx[n];
    int nizy[n];
    int nizz[n];

    for (int i = 0; i < n; i++) {
        cin >> nizx[i];
    }
    for (int i = 0; i < n; i++) {
        cin >> nizy[i];
    }
    for (int i = 0; i < n; i++) {
        cin >> nizz[i];
    }

    int br = 0;
    for (int i = 0; i < n; i++) {
        int x = nizx[i];
        for (int j = 0; j < n; j++) {
            if (x == nizy[j]) {
                for (int k = 0; k < n; k++) {
                    if (nizz[k] == j + 1) {
                        br++;
                    }
                }
            }
        }
    }

    cout << br << endl;
    return 0;
}